bool allDead()
{
	for (int i = 1; i <= Screen->NumNPCs(); i++)
	{
		npc n = Screen->LoadNPC(i);
		if ((n->isValid() == true) && (n->ID != NPC_TRAP) && (n->ID != NPC_SHOOTFBALL))
		{
			return false;
		}
	}
	return true;
}

ffc script bossMIDIChange
{
	void run(int dmap, int midi, bool changePlaying)
	{
		Waitframe();
		int numNPCs = Screen->NumNPCs();
		if(this->InitD[0] < 0)
			dmap = Game->GetCurDMap();
		int oldMIDI = Game->DMapMIDI[dmap];
		do
		{
			// Wait for screen to scroll in...
			while(Link->Action == LA_SCROLLING)
				Waitframe();
			
			// Set up the automatic stuff...
			//if(this->InitD[1] < 0)
			//	midi = Game->GetMIDI();

			
			if((changePlaying) && (Game->GetMIDI() != midi))
			{
				Game->PlayMIDI(midi); // Change currently playing midi
			}
			
			Waitframe();
		}//!End while(true)
		while(allDead() == false)
		Game->PlayMIDI(oldMIDI);

	}//!End void run()
}//!End dmapMIDIChange